@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";

:host {
    width: 100%;
}

.pdf-view {
    display: block;
    border: 1px solid $bg-modal-header-border;
    height: 70vh;
}

.form {
    background: $bg-content-default;
    padding: 16px;
    border-radius: 8px;
}

.container-fluid {
    background: $background-main;
}

.form-row {
    column-gap: 24px;
    &__input {
        width: 100%;
        border-radius: 4px !important;
        min-height: 40px;
    }

    &__left {
        display: flex;
        flex-direction: column;
    }

    &__right--attach {
        display: flex;
        align-items: flex-end;
        height: 100%;
    }

    &__label {
        font-style: normal;
        font-weight: 600;
        font-size: 14px;
        line-height: 20px;
    }

    &__select {
        width: 100%;
        ::ng-deep {
            .ant-select-selector {
                border-radius: 4px !important;
                min-height: 40px;
                display: flex;
                align-items: center;
            }
            .ant-select-selection-search-input {
                height: 100% !important;
            }
        }
    }
}

.jd-table {
    min-width: 100%;
    border-radius: 8px;
    overflow: hidden;
    &__label {
        font-weight: bold;
        font-size: 14px;
        line-height: 120%;
        background: $bg-content-org;
    }
    &__name {
        display: flex;
        &--level {
            padding-left: 10%;
        }
    }
}

.form-row__padding {
    padding-top: 35px;
   }

p {
    margin-bottom: 0px !important;
}

.title-input {
    display: flex;
    &--mul {
        display: flex;
        margin-top: 16px;
    }
}

.title {
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 20px;
    letter-spacing: 0.15px;
    color: $lb-title-upload;
    margin-top: 16px;
}

.action {
    display: flex;
    column-gap: 8px;
    margin-left: 10px;
}

.textarea-input {
    background: $bt-primary-gray;
    border-radius: 10px;
    min-height: 120px;
}

.button-back {
    border: 1px solid $bt-primary-default;
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px, 16px, 10px, 16px;
    font-size: 14px;
    min-height: 40px;
    background: $white-color;
    margin-left: 16px;
    color: $primary-button-color;
}

.button-approve {
    display: flex;
    justify-content: center;
}

.required {
    color: $input-title-required;
    text-align: center;
    padding-left: 5px;
    margin-bottom: 0px !important;
}

.template {
    &__right {
        display: flex;
        align-items: flex-end;
        &--attach {
            display: flex;
            align-items: flex-end;
            height: 100%;
        }
    }
}

.button-primary {
    border-radius: 8px;
    display: flex;
    align-items: center;
    padding: 10px 16px 10px 16px;
    font-size: 14px;
    min-height: 40px;
    background: $primary-button-color;
    margin-left: 16px;
}

.mat-chip-label {
    color: $input-title-upload;
    font-size: 16px;
    line-height: 20px;
}

.job-col {
    min-width: 320px;
}

.action-button {
    display: flex;
    column-gap: 10px;
}

.information-form {
    display: flex;
    width: 100%;
    align-items: center;
    margin-top: 10px;
    justify-content: space-between;
}

.information-organization {
    display: flex;
    width: 100%;
    align-items: center;
    margin-top: 10px;
    justify-content: space-between;
    &__hidden {
        width: 25%;
    }
}

.attach {
    width: 100%;
    height: 40px;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.fun-row {
    display: flex;
    margin-top: 5px;
    align-items: center;
    column-gap: 5px;
}

.add-text {
    color: $primary-button-color;
}

.job-select {
    width: 100%;
}

.row-container {
    display: flex;
    justify-content: space-between;
    &__fun {
        width: 50%;
        &__span {
            white-space: nowrap;
        }
        display: flex;
        margin-top: 5px;
        align-items: center;
        column-gap: 5px;
        &__label {
            font-weight: bold;
        }
    }

    &__job {
        display: flex;
        column-gap: 20px;
        flex-wrap: wrap;
        width: 50%;
    }
    &__tr {
        display: table;
        width: 100%;
    }

    .tooltip-hide {
        display: none;
    }
}
.text-overflow {
    display: block;
    white-space: nowrap;
    max-width: 37rem;
    overflow: hidden;
    text-overflow: ellipsis;
  }
